import TagCache from 'redis-tag-cache';
import { TagCacheInterface } from './CacheInterface';
export declare class Redis implements TagCacheInterface {
    constructor({ host, port }: RedisConfig);
    redis: TagCache;
    get<T>(key: string, options?: {
        responseTimeoutInMillis?: number;
        throwOnTimeout?: boolean;
    }): Promise<T | null>;
    set(key: string, data: any, param3?: any, param4?: any): Promise<void>;
    delete(key: string, options?: {
        responseTimeoutInMillis?: number;
        throwOnTimeout?: boolean;
    }): Promise<void>;
    invalidateTags(tags: string[], options?: {
        responseTimeoutInMillis?: number;
        throwOnTimeout?: boolean;
    }): Promise<void>;
}
interface RedisConfig {
    port: number;
    host: string;
}
export {};
