"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InternalServerError = exports.BadRequest = exports.NotFound = exports.TooManyRequests = exports.UnsupportedMediaType = exports.HttpError = void 0;
class HttpError extends Error {
    constructor(arg, statusCode, defaultMessage) {
        if (typeof arg === 'string') {
            super(arg);
            this.data = { message: arg };
        }
        else if (typeof arg === 'object' && arg) {
            super(defaultMessage);
            this.data = arg;
        }
        else {
            super(defaultMessage);
        }
        this.statusCode = statusCode;
    }
}
exports.HttpError = HttpError;
class UnsupportedMediaType extends HttpError {
    constructor(arg) {
        super(arg, 415, 'Unsupported media type');
    }
}
exports.UnsupportedMediaType = UnsupportedMediaType;
class TooManyRequests extends HttpError {
    constructor(arg) {
        super(arg, 429, 'Too many requests');
    }
}
exports.TooManyRequests = TooManyRequests;
class NotFound extends HttpError {
    constructor(arg) {
        super(arg, 404, 'Not found');
    }
}
exports.NotFound = NotFound;
class BadRequest extends HttpError {
    constructor(arg) {
        super(arg, 400, 'Bad request');
    }
}
exports.BadRequest = BadRequest;
class InternalServerError extends HttpError {
    constructor(arg) {
        super(arg, 500, 'Internal server error');
    }
}
exports.InternalServerError = InternalServerError;
